- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# airbrake_deployment – Notify airbrake about app deployments

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Notify airbrake about app deployments (see http://help.airbrake.io/kb/api-2/deploy-tracking)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
environment - / required |  | The airbrake environment name, typically 'production', 'staging', etc.
repo - |  | URL of the project repository
revision - |  | A hash, number, tag, or other identifier showing what revision was deployed
token - / required |  | API token.
url - | Default: "https://airbrake.io/deploys.txt" | Optional URL to submit the notification to. Use to send notifications to Airbrake-compliant tools like Errbit.
user - |  | The username of the person doing the deployment
validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates for the target url will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - airbrake_deployment:
        token: AAAAAA
        environment: staging
        user: ansible
        revision: '4.2'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Bruce Pennypacker (@bpennypacker)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.